package internal

import (
	"git.coopgo.io/coopgo-platform/carpool-service/interoperability/ocss"
	"github.com/paulmach/orb/geojson"
)

type Booking struct {
	ocss.Booking `bson:",inline"`

	DriverRoute    *geojson.FeatureCollection `bson:"driver_route,omitempty"`
	PassengerRoute *geojson.FeatureCollection `bson:"passenger_route,omitempty"`
}
